/*
 * printer.h:
 *
 * Copyright (c) 2001 James McKenzie <james@fishsoup.dhs.org>,
 * All rights reserved.
 *
 */

/*
 * $Id: printer.h,v 1.3 2001/05/25 01:24:15 root Exp $
 */

/*
 * $Log: printer.h,v $
 * Revision 1.3  2001/05/25 01:24:15  root
 * #
 *
 * Revision 1.2  2001/05/24 13:56:19  root
 * *** empty log message ***
 *
 * Revision 1.1  2001/05/24 13:56:04  root
 * Initial revision
 *
 */

#ifndef __PRINTER_H__
#define __PRINTER_H__

#define ON_PRINTER 0
#define ON_HOST	   1


typedef struct
{
  float x[4], y[4];
  float gamma[3], gain[3];
}
color_correction;

#define RED 0
#define GREEN 1
#define BLUE 2
#define WHITE 3

#define NO 0
#define YES 1

#define MOD_RGB 1
#define MOD_CYM 2

typedef struct
{
// int where;
  int model;
// int fs;
  int pcl_render;
  char *pjl_render;
  int page_prot;
  int res;
//  int do_cc;
// color_correction cc;
  int be_smart;
}
Print_mode;

#define TOP_SKIP 0.4
#define XLEN 80.000
#define YLEN (110.666-TOP_SKIP)
#define RES 200

#define PCL_CONTONE 0
#define PCL_SNAP 1
#endif /* __PRINTER_H__ */
