/*
 * thresh.c:
 *
 * Copyright (c) 2001 James McKenzie <james@fishsoup.dhs.org>,
 * All rights reserved.
 *
 */

static char rcsid[] =
  "$Id: thresh.c,v 1.4 2001/05/25 01:24:37 root Exp $";

/*
 * $Log: thresh.c,v $
 * Revision 1.4  2001/05/25 01:24:37  root
 * #
 *
 * Revision 1.3  2001/05/25 01:24:15  root
 * #
 *
 * Revision 1.2  2001/05/24 13:56:19  root
 * *** empty log message ***
 *
 * Revision 1.1  2001/05/24 13:56:04  root
 * Initial revision
 *
 */

#include <stdio.h>
#include <malloc.h>

static int x, y, w, h, sx, sy, obpl;
static unsigned char *in, *out;
static int ox;

#define BLACK (*orow)|=ox
#define WHITE (*orow)&=~ox


void
thresh_dither (int uw, int uh, unsigned char *uin, int usx, int usy,
               unsigned char *uout, int uobpl)
{
  int x, y, s;
  int dir = 0;
  unsigned char *irow;
  unsigned char *orow;

  in = uin;
  w = uw;
  h = uh;
  sx = usx;
  sy = usy;
  out = uout;
  obpl = uobpl;

  for (y = 0; y < h; ++y)
    {
      x = w;
      irow = in;
      orow = out;

      while (x--)
        {
          if ((*irow) > 127)
            WHITE;
          else
            BLACK;
          ox >>= 1;
          if (!ox)
            {
              orow++;
              ox = 128;
            }
          irow += sx;
        }

      out += obpl;
      in += sy;

    }

}
